Skip to navigation

Update Finding Exclusion

Updates a finding exclusion.

This operation replaces the entire finding exclusion object. Omitted fields are overwritten. Updating an exclusion has no effect on in-progress scans.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the finding exclusion is in. You can get your project ID from the API Credentials page in your global management console.

findingExclusionIdstringRequiredformat: "uuid"
ID of the finding exclusion to update.

Request

This endpoint expects an object.
scopeenumRequired

Whether the exclusion applies to a single resource or to all resources in the Eon account.

If set to RESOURCE, a resource ID must be set in providerResourceId.

Allowed values:
valuestringRequired>=1 character

Matching value to exclude. The value set in this field depends on the specified type.

  • PATH: Matches files whose path starts with the specified value, case-sensitive. For example, /data/tmp matches /data/tmp2/report.csv.

    Linux paths are case-sensitive.

    Windows paths are case-insensitive, normalize for the file separator, and start with the drive letter. For example, C:\Users\App\Cache matches c:/users/app/cache.

  • TABLE: Exact table name.

  • DATABASE: Exact database name.

  • KMS_KEY: Either a KMS key ARN, or an AWS account ID to trust all keys in the account. Available for the ransomware detector only.

typeenumRequired

Whether the finding is set to a file path, a database table, a whole database, or objects encrypted with a trusted KMS key. Used in combination with value.

Allowed values:
detectorenumRequired

Detector whose findings to suppress. MALWARE can only exclude paths: databases aren’t scanned for malware.

Allowed values:
providerResourceIdstringOptional>=1 character

Cloud provider ID of the resource to apply the exclusion to, such as an EC2 instance ID or an Azure resource ID. Required when scope is RESOURCE, and must be omitted when it’s ACCOUNT.

Response

Finding exclusion updated.
findingExclusionobject
Updated finding exclusion.

Errors

400
Bad Request Error
404
Not Found Error
409
Conflict Error